const PIT_VERSION* = "4.23.4"

const USAGE* = """Usage:
  pit ( new | add) <summary> [<state>] [options]
  pit list contexts [options]
  pit list [<stateOrId>...] [options]
  pit ( start | done | pending | todo-today | todo | suspend ) <id>... [options]
  pit edit <ref>... [options]
  pit tag <id>... [options]
  pit untag <id>... [options]
  pit reorder <state> [options]
  pit delegate <id> <delegated-to> [options]
  pit hide-until <id> <date> [options]
  pit ( delete | rm ) <id>... [options]
  pit add-binary-property <id> <propName> <propSource> [options]
  pit get-binary-property <id> <propName> <propDest> [options]
  pit show-dupes
  pit help [options]

Options:

  -h, --help                Print this usage and help information.

  -p, --properties <props>  Specify properties. Formatted as "key:val;key:val"
                            When used with the list command this option applies
                            a filter to the issues listed, only allowing those
                            which have all of the given properties.

  -P, --excl-properties <props>
                            When used with the list command, exclude issues
                            that contain properties with the given value. This
                            parameter is formatted the same as the --properties
                            parameter: "key:val;key:val"

  -c, --context <ctx>       Shorthand for '-p context:<ctx>'

  -C, --excl-context <ctx>  Don't show issues from the given context(s).
                            Multiple contexts can be excluded using a ',' to
                            separate names. For example: -C ctx1,ctx2
                            Shorthand for '-P context:<ctx>'

  -g, --tags <tags>         Specify tags for an issue. Tags are specified as a
                            comma-delimited list. For example: -g tag1,tag2

  -G, --excl-tags <tags>    When used with the list command, exclude issues
                            that contain any of the provided tags. Tags are
                            specified as a comma-delimited list.
                            For example: -G tag1,tag2

  -T, --today               Limit to today's issues.

  -F, --future              Limit to future issues.

  -H, --show-hidden         Show all matching issues, ignoring any 'hide-until'
                            properties set.

  -m, --match <pattern>     Limit to issues whose summaries match the given
                            pattern (PCRE regex supported).

  -M, --match-all <pat>     Limit to the issues whose summaries or details
                            match the given pattern (PCRE regex supported).

  -v, --verbose             Show issue details when listing issues.

  -q, --quiet               Suppress verbose output.

  -y, --yes                 Automatically answer "yes" to any prompts.

  --config <cfgFile>        Location of the config file (defaults to $HOME/.pitrc)

  -E, --echo-args           Echo arguments (for debug purposes).

  -d, --tasks-dir           Path to the tasks directory (defaults to the value
                            configured in the .pitrc file)

  --term-width <width>      Manually set the terminal width to use.

  --ptk                     Enable PTK integration for this command.

  --debug                   Enable debug-level log output.
"""

const ONLINE_HELP* = """Issue States:

  PIT organizes issues around their state, which is one of:

    current     - issues actively being worked
    todo-today  - issues planned for today
    pending     - issues that are blocked by some third-party
    done        - issues that have been completely resolved
    todo        - issues that need to be done in the future
    dormant     - issues that are low-priority, to be tracked, but hidden
                  by default

Issue Properties:

  PIT supports adding arbitrary properties to any issue to track any metadata
  about the issue the user may wish. There are several properties that have
  special behavior attached to them. They are:

    created

      If present, expected to be an ISO 8601-formatted date that represents the
      time when the issue was created.

    completed

      If present, expected to be an ISO 8601-formatted date that represents the
      time when the issue moved to the "done" state.  PIT will add this
      property automatically when you use the "done" command, and can filter on
      this value.

    context

      Allows issues to be organized into contexts. The -c option is short-hand
      for '-p context:<context-name>' and the 'list contexts' command will show
      all values of 'context' set in existing issues.

    delegated-to

      When an issue now belongs to someone else, but needs to be monitored for
      completion, this allows you to keep the issue in its current state but
      note how it has been delegated. When present PIT will prepend this value
      to the issue summary with an accent color.

    hide-until

      When present, expected to be an ISO 8601-formatted date and used to
      supress the display of the issue until on or after the given date.

    pending

      When an issue is blocked by a third party, this property can be used to
      capture details about the dependency When present PIT will display this
      value after the issue summary.

    recurrence

      When an issue is moved to the "done" state, if the issue has a valid
      "recurrence" property, PIT will create a new issue and set the
      "hide-until" property for that new issue depending on the recurrence
      definition.

      A valid recurrence value has a time value and optionally has an source
      issue ID. For example:

        every 5 days, 10a544

      The first word, "every", is expected to be either "every" or "after".

      The second portion is expected to be a time period. Supported time units
      are "hour", "day", "week", "month", an "year", along with the plural
      forms (e.g. "5 days", "8 hours", etc.).

      The final portion is the source issue ID. This is optional. When a source
      issue ID is given, the new issue is created as a clone of the given
      issue. When not given, the issue being closed is used for cloning.

      The "every" and "after" keywords allow the user to choose whether the new
      issue is created based on the creation time ("every") or the completion
      time ("after") of the issue being closed based.

      Examples:

        every day
        every 2 days
        after 2 days
        every week
        after 12 hours
        every 2 weeks, 10a544

    tags

      If present, expected to be a comma-delimited list of text tags. The -g
      option is a short-hand for '-p tags:<tags-value>'.
"""